module Teamster
  module Core
    module CoreHelper
      def summary_div_class_for(index)
        size = all_adapters.size
        if size == 1
          "col-lg-12"
        elsif size%2 == 0
          "col-lg-6"
        else
          last = size - 1
          index == last ? "col-lg-12" : "col-lg-6"
        end
      end

      def summary_of(adapter_name)
        name = adapter_name.downcase
        if send(:"#{name}_summary?")
          send(:"#{name}_summary")
        else
          erb :no_summary
        end
      end
    end
  end
end
