module Teamster
  module Core
    module LoginHelper
      def decode(obj)
        Base64.decode64 obj
      end

      def referrer(ref)
        settings.referrer = ref.path
      end

      def redirect_back
        ref = settings.referrer || '/'
        settings.referrer = nil
        redirect to ref
      end

      def login_error
        halt 403, 'Wrong username or password provided!'
      end
    end
  end
end
